org.apache.http.nio

## Interface FileContentDecoder

- All Superinterfaces:
    ContentDecoder
  All Known Implementing Classes:
    IdentityDecoder, LengthDelimitedDecoder

      public interface FileContentDecoder
      extends ContentDecoder

  A content decoder capable of transferring data directly to a `FileChannel`
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `transfer(FileChannel dst, long position, long count)` Transfers a portion of entity content from the underlying network channel into the given file channel. Warning: Many implementations cannot write beyond the length of the file.

    - ### Methods inherited from interface org.apache.http.nio.ContentDecoder

      `isCompleted, read`

- - ### Method Detail

    - #### transfer

          long transfer(FileChannel dst,
                      long position,
                      long count)
                        throws IOException

      Transfers a portion of entity content from the underlying network channel into the given file channel.
      Warning: Many implementations cannot write beyond the length of the file. If the position exceeds the channel's size, some implementations may throw an IOException.
      Parameters:
        `dst` - the target FileChannel to transfer data into.
        `position` - The position within the file at which the transfer is to begin; must be non-negative. Must be less than or equal to the size of the file
        `count` - The maximum number of bytes to be transferred; must be non-negative
      Returns:
        The number of bytes, possibly zero, that were actually transferred
      Throws:
        `IOException,` - if some I/O error occurs.
        `IOException`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.